Bad behavior of simbology items on the new legend GUI

2009-08-04 05:19 PM - gcarrillo -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11918

Description

Sorry, I don't like to open this kind of tickets.

There is a bad behavior on new legend GUI, the major problem is that I don't know how to get it. Here you can see it: 

http://downloads.tuxfamily.org/tuxgis/tmp/drag.tar.gz

After a while dragging legend items the symbology item pass to top level on the [[TreeWidget]] and then is impossible to remove it from

there.

History

#1 - 2009-08-05 12:52 AM - Giovanni Manghi

Hi,

on my box I cannot replicate it. This can be good news... or not. I tried hard for a few minutes with three polygon layers like you, but this strange behaviour

didn't show. I'll try further, if can find a pattern it would be good.

#2 - 2009-08-05 02:10 AM - Magnus Homann

I cannot replicate it either. What system are you on? What revision are you compiling?

#3 - 2009-08-05 07:36 AM - gcarrillo -

Hi lutra and homann, I'm using Ubuntu 9.04, I did a 'svn update' 12 hours ago. Yes, it seems hard to replicate, I'll try to find some pattern. If it helps, I load

heavy layers (a lot of vertices) and do some double clicks while try to drag the layers.

#4 - 2009-08-05 08:53 AM - Giovanni Manghi

I'm using Ubuntu 9.04 too. Tried hard but still no "lucky" :) reproducing the issue.

#5 - 2009-08-06 12:19 PM - Giovanni Manghi

Even under windows I had no lucky reproducing the problem. Any news on your side?
#6 - 2009-08-07 09:58 AM - gcarrillo -

Hi, I can't find yet a valid pattern but I see I can get the bad behavior doing this: 

+ Load multiple layers.

+ Double click on symbology item for the last layer and try to drag just above the penultimate quickly. While you do the double click you have to

move the cursor next to the layer item to enable the drag, otherwise you get the forbidden cursor.

After a while doing this I get the problem.

#7 - 2009-08-08 02:11 AM - Giovanni Manghi

I really have no lucky reproducing this, even with your latest directions.

Admitted that it is reproducible bug somehow, I'm asking the following: now that the symbology is not selectable, why a user has to double click on it and/or

try to drag it considered also that is not draggable? And why has to do it more then once? :)

#8 - 2009-08-08 10:12 AM - gcarrillo -

Yes Lutra, I understand you, but the users could do anything, probably by mistake. I thought to write this issue on qgis-developer mailing list but I decided

to open a new ticket to discuss it.

I really think the issue is strange, a common user could never see it. I was only trying to communicate some strange behavior, I think QGIS should be free

of this troubles :).

#9 - 2009-08-08 04:30 PM - Giovanni Manghi

I think QGIS should be free of this troubles :)

I agree! :)

#10 - 2009-08-12 11:06 PM - Paolo Cavallini

Tested rather extensively, and I cannot reproduce it. Which Qt are you using?

#11 - 2009-08-14 06:55 AM - gcarrillo -

Paolo, I'm using Qt 4.5.0.

#12 - 2009-08-25 05:03 PM - Giovanni Manghi

What to do with this? I really cannot replicate it on two different platforms and many different installations.

#13 - 2009-08-25 07:02 PM - gcarrillo -

Lutra, I think it can be closed while I get an easy way to replicate. Next weeks I'll try to reproduce on other installations.
#14 - 2009-08-26 08:27 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

It has been reported that deleting the personal old settings ~/.qgis solves the issue. Feel free to reopen it if appropriate
